class signalfx_collectd::custom_install(
    $purge        = true,
    $recurse      = true,
    $purge_config = true,
) {

    case $::osfamily {
        'Debian': {

                class { '::collectd':
                        purge        => $purge,
                        recurse      => $recurse,
                        purge_config => $purge_config,
                        require => Exec['apt-get update']
                }

                exec { 'apt-get update':
                        command => 'sudo apt-get update',
                        require => Exec['add-apt-repository']
                }

                exec { 'add-apt-repository':
                        command => 'yes | sudo apt-get install software-properties-common python-software-properties  && sudo add-apt-repository ppa:uday-d/signalfx-collectd1/',
                        require => Exec['apt-get update II']
                }

                exec { 'apt-get update II':
                        command => '/bin/sh -c "sudo apt-get update"',
                }

        }

        default: {
            fail("${::osfamily} is not supported.")
        }
    }
}
